import Vue from 'vue'
const apisMixins = {
    methods: {
        apiUserClubCheckSku(params){
            this.ProductService.ShoppingCheckSku(params)
			    .then(response => {
			        setTimeout(() => {
			           this.initGetCartGoodsList()
			        }, 1500)
			    })
			    .catch(error => {
			        this.$util.msg(error.msg, 2000)
			    })
        },
        apiSellerAddProductNum(params) {
            //更新购物车商品
            this.SellerService.SellerAddProductNum(params)
                .then(response => {
                    this.isshowDelbtn = false
                })
                .catch(error => {
                    this.$util.msg(error.msg, 2000)
                })
        },
        apiSellerDeleteCart(params) { 
            // 清除失效商品
            this.SellerService.sellerDeleteCart(params)
                .then(response => {
                    this.$util.msg('删除成功', 2000)
                    setTimeout(() => {
                        this.isshowDelbtn = false
                        this.initGetCartGoodsList()
                    }, 2000)
                })
                .catch(error => {
                    this.$util.msg(error.msg, 2000)
                })
        }
    }
}

export default apisMixins
