// 机构通知消息 
const noticeMixins = {
    filters: {
       noticeUsersFilters(value) {
           const map = {
               1: '上架费',
               2: '机构分配通知',
               3: '机构转移通知',
               4: '机构分配通知',
               7: '机构访问通知',
               8: '机构回收通知',
               9: '客户注册通知',
               10: '客户访问通知'
           }
           return map[value]
       },
    },
    methods: {
        noticeSellerUserText(cell) {
            const map = {
                1: `${cell.content}`,
                2: '系统已为你分配机构客户，请及时跟进。',
                3: '系统已将你的机构转移给其他销售人员，你已无权管理该客户。',
                4: '系统已为你分配机构客户，请及时跟进。',
                7: `昨日【${cell.name}...】等${cell.sum}家机构客户访问了采美商城`,
                8: '系统已将你的机构客户进行回收，你已无权管理该客户。',
                9: `昨日【${cell.name}...】通过您的内容库资料分享注册成为了机构客户`,
                10: `昨日【${cell.name}...】等${cell.sum}家机构客户访问了您的内容库资料分享`
            }
            return map[cell.shopTieredType]
        },
    }
}

export default noticeMixins
